Type to search.

Get the async SQL search status

  • GET /_sql/async/status/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.15 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get the current status of an async SQL search or a stored synchronous SQL search.

Required privileges

Cluster privileges monitor

Path parameters

id string required

The identifier for the search.

Response

application/json
expiration_time_in_millis number required

The timestamp, in milliseconds since the Unix epoch, when Elasticsearch will delete the search and its results, even if the search is still running.

id string required

The identifier for the search.

is_running boolean required

If true, the search is still running. If false, the search has finished.

is_partial boolean required

If true, the response does not contain complete search results. If is_partial is true and is_running is true, the search is still running. If is_partial is true but is_running is false, the results are partial due to a failure or timeout.

start_time_in_millis number required

The timestamp, in milliseconds since the Unix epoch, when the search started. The API returns this property only for running searches.

completion_status number

The HTTP status code for the search. The API returns this property only for completed searches.